DoublePrecisionAssertTest
Keywords: junit.tests.framework.DoublePrecisionAssertTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.framework
Class DoublePrecisionAssertTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.framework.DoublePrecisionAssertTest

All Implemented Interfaces:
  Test

    public class DoublePrecisionAssertTest

extends TestCase

Constructor Summary
`DoublePrecisionAssertTest()`

Method Summary
`void` | `testAssertEqualsNaNFails()` Test for the special Double.NaN value.
`void` | `testAssertNaNEqualsFails()`
`void` | `testAssertNaNEqualsNaN()`
`void` | `testAssertNegInfinityEqualsInfinity()`
`void` | `testAssertPosInfinityEqualsInfinity()`
`void` | `testAssertPosInfinityNotEquals()`
`void` | `testAssertPosInfinityNotEqualsNegInfinity()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoublePrecisionAssertTest

    public DoublePrecisionAssertTest()

Method Detail

### testAssertEqualsNaNFails

    public void testAssertEqualsNaNFails()

  Test for the special Double.NaN value.

### testAssertNaNEqualsFails

    public void testAssertNaNEqualsFails()

### testAssertNaNEqualsNaN

    public void testAssertNaNEqualsNaN()

### testAssertPosInfinityNotEqualsNegInfinity

    public void testAssertPosInfinityNotEqualsNegInfinity()

### testAssertPosInfinityNotEquals

    public void testAssertPosInfinityNotEquals()

### testAssertPosInfinityEqualsInfinity

    public void testAssertPosInfinityEqualsInfinity()

### testAssertNegInfinityEqualsInfinity

    public void testAssertNegInfinityEqualsInfinity()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD